package cz.cvut.kbss.wpa.jpa;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class PersistenceFactory {

    private PersistenceFactory() {
        throw new AssertionError(); // Prevent class instantiation
    }

    private static EntityManagerFactory factory;

    /**
     * Simple singleton for for persistence initialization.
     *
     * Note, it is not thread safe!!!
     *
     * @return emf
     */
    public static EntityManagerFactory getFactory() {
        if (factory == null) {
            // Parametr odpovida jmenu persistence unit v souboru persistence.xml
            factory = Persistence.createEntityManagerFactory("sample_persistence_unit");
        }
        return factory;
    }

    /**
     * Factory method for creating entity managers.
     *
     * @return EntityManager
     */
    public static EntityManager createNewEntityManager() {
        return getFactory().createEntityManager();
    }

}
