package cz.cvut.kbss.wpa.jpa.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;

@Entity
// Each concrete class will have its own table with its attribute + attributes of the parent class
@Inheritance(strategy = InheritanceType.TABLE_PER_CLASS)
public class Person extends BaseEntity {

    @Column(name = "firstName")
    protected String name;

    @Column(name = "lastName")
    protected String surname;

    // No-arg constructor is required by JPA
    public Person() {
    }

    public Person(String name, String surname) {
        this.name = name;
        this.surname = surname;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSurname() {
        return surname;
    }

    public void setSurname(String surname) {
        this.surname = surname;
    }

    @Override
    public String toString() {
        return name + " " + surname;
    }

}
